package nedelja3;

import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;


public class Memorija {
    public List <Student>bazaPodataka;
    public String nazivBazePodataka;

    public Memorija(String nazivBazePodataka) {
        this.bazaPodataka = new ArrayList<>();
        this.nazivBazePodataka = nazivBazePodataka;
    }
    
    public void unesiStudenta(Student s){
        this.bazaPodataka.add(s);
        System.out.println("Student "+s.getImePrezime()+" dodat u bazu podataka!");
    }
    public void prikaziStudente(){
        Iterator <Student> it = this.bazaPodataka.iterator();
        System.out.println("Lista studenata u bazi podataka...........");
        while(it.hasNext()){
            Student temp = it.next();
            System.out.println("Student: "+temp.getImePrezime()+" Indeks: "+temp.getBrojIndeksa());
        }
        System.out.println("U bazi podataka postoji "+this.bazaPodataka.size()+" studenata.");
    }
    public void pronadjiStudenta(String imePrezime){
        Iterator <Student> it = this.bazaPodataka.iterator();
        System.out.println("Rezultati pretrage...........");
        while(it.hasNext()){
            Student temp = it.next();
            if(temp.getImePrezime().equalsIgnoreCase(imePrezime)){
                System.out.println("Student: "+temp.getImePrezime()+" Indeks: "+temp.getBrojIndeksa());
                break;
            }
        }
    }
    public void upisiFajl(String nazivFajla) throws IOException{//mojfajl.txt
        FileWriter fw = new FileWriter(nazivFajla);
        PrintWriter pw = new PrintWriter(fw);
        //nas kod
        Iterator<Student> it = this.bazaPodataka.iterator();
        while (it.hasNext()) {
            Student temp = it.next();
            pw.println(
                      temp.getImePrezime() + "#"
                    + temp.getJmbg() + "#"
                    + temp.getFakultet() + "#"
                    + temp.getBrojIndeksa() + "#"
                    + temp.getPolozeniIspiti() + "#");
        }


        pw.close();
        fw.close();
    }
    
}
